Subject: Re: [PATCH 1/3] setup: drop return value from `read_repository_format()`

From: "brian m. carlson" <[email-masked]>
Date: Thu, 20 Dec 2018 00:17:53 +0000

On Wed, Dec 19, 2018 at 10:27:35AM -0500, Jeff King wrote:
> I dunno. This is one of those dark corners of the code where we appear
> to do the wrong thing, but nobody seems to have noticed or cared much,
> and changing it runs the risk of breaking some obscure cases. I'm not
> sure if we should bite the bullet and try to address that, or just back
> away slowly and pretend we never looked at it. ;)

I will point out that with the SHA-256 work, reading the config file
becomes essential for SHA-256 repositories, because we need to know the
object format. Removing the config file leads to things blowing up in a
bad way (what specific bad way I don't remember).

That may influence the direction we want to take in this work, or not.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204